#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-5WgVViYANh1INPzrdUDaLS
key:                  hoogle-5.0.18.4-5WgVViYANh1INPzrdUDaLS
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  fdd0d5374624ae25f01bbe0f462d0569
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-5WgVViYANh1INPzrdUDaLS
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-8QSIOMYs5brCg5V5nmVdY2
    aeson-2.1.2.1-IkP1OjeNuTxglWxWeIvI9 base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-C4ZBPt0ygub3tdDLZwenWL
    blaze-markup-0.8.3.0-F62q6tKjBbGDf7FwMvopea bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6-6olN0R4zhzQGfJxY5P1sQG
    conduit-extra-1.3.6-DNMogv3hOWO1ZuiF0M3PeA containers-0.6.5.1
    crypton-connection-0.3.2-97ngep1zwKyLdFTUPCM6vp deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-HmT1ExbMa8s7Fr43bhn74d
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-DtL5AH6y1if92iaAq0qoKj
    haskell-src-exts-1.23.1-HUqC9Egs1QYJTMY2psL17i
    http-conduit-2.3.9-GK62BVohZn1GCLNLtPOE4B
    http-types-0.12.4-6kOruwBLItLEcotK7uAwKL
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-6py3QgpCahT130j0t82iu
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-H2ix7SOexstFbiNfcaOIYQ
    resourcet-1.2.6-Lqb3m6tuOhHIikJo8Ch6Wd
    safe-0.3.21-41ZPWazUMNgR08x0DBIts
    storable-tuple-0.1-1zpMhXc5eNWLnw0hp43K5A
    tar-0.5.1.1-1rgifZLONNXAvaA6Ili3sa template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-CbgRsq6vXtfJZv6A35mNTh
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-1Hbj4hORR7KGMeSpv0BhQN
    wai-3.2.4-4FGE67nPXB9CBfEQ1pErUn
    wai-logger-2.5.0-Agk9dhlcc0YKyScClmg4MR
    warp-3.3.30-2sfgu9L9nPVIzEg502tKwp
    warp-tls-3.4.7-IOvZLUKfshZ638da7S6UBG
    zlib-0.6.3.0-CuOO7n4zc2g8TBZxjplZPM

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

